Bug 617617 - xrandr -rotate normal after a xrandr -rotate right = black screen of doom
xrandr -rotate normal after a xrandr -rotate right = black screen of doom
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-23 10:49 EDT by Ryan H. Lewis (rhl)
Modified: 2018-04-11 06:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
I am using a Fujitsu T4215 Tablet PC I use the intel free driver xorg-x11-drv-intel v 2.11.0
Last Closed: 2011-06-29 09:05:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the entire xorg log, I tried rotating my tablet back and forth multiple times between tablet/laptop postion, this issue xrandr --rotate commands (181.91 KB, text/plain)
2010-08-05 11:15 EDT, Ryan H. Lewis (rhl)
no flags Details
Xorg.0.log after issues xrandr --rotate left --output LVDS1 and xrandr --rotate right --output normal multiple times (302.04 KB, text/plain)
2010-08-05 11:21 EDT, Ryan H. Lewis (rhl)
no flags Details
lspci -vvnn (14.48 KB, text/plain)
2010-08-05 11:25 EDT, Ryan H. Lewis (rhl)
no flags Details
/var/log/dmesg after drm.debug=15 (96.23 KB, text/plain)
2010-08-05 15:05 EDT, Ryan H. Lewis (rhl)
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 29602 None None None Never

  None (edit)
Description Ryan H. Lewis (rhl) 2010-07-23 10:49:18 EDT
Description of problem:
calling 
xrandr -output LVDS1 -rotate right
then
xrandr -output LVDS1 -rotate normal

gives me a black screen.

if I then hit, ctrl-alt-f2, then ctrl-alt-f1, I get a non-black screen, which is frozen and takes a few minutes, but then unlocks.

Version-Release number of selected component (if applicable):
xorg-x11-server-utils-7.4-16.fc13.x86_6

How reproducible:
Has been happening consistently, and of course when I went to file this bug, it seems to be working.

Steps to Reproduce:
1. xrandr -output LVDS1 -rotate right
2. xrandr -output LVDS1 -rotate normal
  
Actual results:
Black screen

Expected results:
rotated screen

Additional info:

Xorg log: http://fpaste.org/32Pt/
dmesg: http://fpaste.org/cFzB/

My hardware is a Fujitsu T4215 Tablet PC.
Comment 1 Ryan H. Lewis (rhl) 2010-08-03 11:34:23 EDT
Ok  this is still a problem, it is now always failing to rotate  back to normal properly

xrandr --output LVDS1 --rotate right
xrandr --output LVDS1 --rotate normal

produces a black screen

pressing ctrl-alt-f2 then ctrl-alt-f1 gives me a non black screen.
Comment 2 Ryan H. Lewis (rhl) 2010-08-05 11:15:19 EDT
Created attachment 436877 [details]
This is the entire xorg log, I tried rotating my tablet back and forth multiple times between tablet/laptop postion, this issue xrandr --rotate commands
Comment 3 Ryan H. Lewis (rhl) 2010-08-05 11:21:58 EDT
Created attachment 436878 [details]
Xorg.0.log after issues xrandr --rotate left --output LVDS1 and xrandr --rotate right --output normal multiple times

I can only replicate the black screen when issuing a rotate from inside of the X display itself, as a test I issues

xrandr --rotate left --output LVDS1 -display :0 from a remote machine over SSH
xrandr --rotate normal --output LVDS1 -display :0

and everything works fine.

However doing things in the X session causes black screens

hitting ctrl alt f2 to switch to terminal mode, than ctrl alt f1 to switch back to the X session, returns me to the proper screen.
Comment 4 Ryan H. Lewis (rhl) 2010-08-05 11:25:23 EDT
Created attachment 436879 [details]
lspci -vvnn
Comment 5 François Cami 2010-08-05 14:56:49 EDT
Ryan,

Could you boot with drm.debug=15 and reproduce the issue?
Then attach the /var/log/dmesg from that attempt, as text/plain please.

Thanks in advance

--
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Ryan H. Lewis (rhl) 2010-08-05 15:05:34 EDT
Created attachment 436942 [details]
/var/log/dmesg after drm.debug=15
Comment 7 Jasper O'neal Hartline 2010-08-17 23:20:46 EDT
Is there any more information we can get out of this bug report?
I'm curious if the engineers have a place to go hunting for this bug.

I have an Intel chip I can try reproducing with and patching if I figure out where the issue may be at, is it in the i915.ko kernel driver, Xorg intel_drv.so driver or xrandr?
Comment 8 François Cami 2010-08-18 06:36:08 EDT
Jasper, _probably_ xorg-x11-server-Xorg or xorg-x11-drv-intel. The drm.debug trace doesn't contain much meaningful information AFAICT, so I'm hesitating to mark as triaged. I'll ask on IRC.

--
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Ryan H. Lewis (rhl) 2010-09-05 18:51:42 EDT
The problem has been upstreamed, still yet not solution, but it seems that the intel graphics developers are looking into it:

https://bugs.freedesktop.org/show_bug.cgi?id=29602
Comment 10 Matěj Cepl 2011-04-08 11:28:45 EDT
This seems to be similar as bug 655331, and bug 694006.
Comment 11 Bug Zapper 2011-06-01 09:08:28 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-29 09:05:52 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.